Subject: Re: [PATCH] TX_RING and packet mmap

From: Evgeniy Polyakov <[email-masked]>
Date: Sun, 12 Apr 2009 18:24:51 +0400

On Sun, Apr 12, 2009 at 01:23:30PM +0200, Johann Baudy ([email-masked]) wrote:
> > Page itself will live until destruction time, when skb is linearized
> > page is freed, so your own destructor will find that given page is no
> > longer used, and appropriate memory area can be overwritten.
> Ok, so if my understanding is correct, fragment data is copied, frags
> info (page, offset, size ...) of  skb_shinfo(skb) remain available and
> skb->data_len is equal to 0 (to tag it as linear).
> Then I can use address of skb_shinfo(n)->frags[0].page to derive my
> header whatever sending path.

No, I was wrong, linearization may silently put pages without calling a
destructor.

-- 
	Evgeniy Polyakov